std::_List_base(3)

NAME
std::_List_base -

SYNOPSIS

Inherited by list [protected].

Detailed Description

  template<typename _Tp, typename _Alloc> class std::_List_base< _Tp, _Alloc >

Definition at line 281 of file stl_list.h.

  Public Types
typedef _Alloc allocator_type

  Public Member Functions
_List_base (const allocator_type &__a)
void _M_clear ()
_Tp_alloc_type _M_get_Tp_allocator () const
void _M_init ()
allocator_type get_allocator () const
~_List_base ()

  Protected Types
typedef _Alloc::template rebind< _List_node< _Tp > >::other _Node_alloc_type
typedef _Alloc::template rebind< _Tp >::other _Tp_alloc_type

  Protected Member Functions
_List_node< _Tp > * _M_get_node ()
void _M_put_node (_List_node< _Tp > *__p)

  Protected Attributes
_List_impl _M_impl

  Classes
struct _List_impl

Author

Generated automatically by Doxygen for libstdc++ from the source code.